Status: Closed Start date: April 22, 2020

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 4.0   

Description

In Debian Buster, the Audacious 3.10.1-1 system tray icon is present but in the last stable version 4.0 and the 4.1-devel is not. I

ignore if it's a dropped feature or just a bug.

I'm using Openbox 3.6.1-8.

History

#1 - April 22, 2020 21:01 - John Lindgren

- Affects version 4.0.2 added

- Affects version deleted (4.0.3)

It is working here. Which system tray are you using?

#2 - April 22, 2020 21:01 - John Lindgren

- Target version deleted (4.0.3)

- Affects version 4.0 added

- Affects version deleted (4.0.2)

#3 - April 22, 2020 21:03 - John Lindgren

- Category deleted (core)

- Tracker changed from Bug to Support

#4 - April 22, 2020 21:05 - John Lindgren

And do other Qt programs show a system tray icon?

#5 - April 22, 2020 21:28 - Nelson Suniaga

John Lindgren wrote:

It is working here. Which system tray are you using?

 

tint2 16.6.1-1

#6 - April 22, 2020 21:31 - Nelson Suniaga

John Lindgren wrote:
And do other Qt programs show a system tray icon?

 

So far I could see none Qt program can display an icon in the tint2 systray. Even compiling Audacious with GTK support the issue persists.

Anyway, Audacious 3.10.1-1 shows its icon in the tint2 systray.

#7 - April 23, 2020 00:43 - Thomas Lange

Do you actually run Audacious 4.0 with GTK?

If you compile it with GTK support (in addition to Qt), you have to start Audacious with "audacious --gtk".

Is the system tray icon then working again?

#8 - April 23, 2020 02:16 - Nelson Suniaga

Thomas Lange wrote:

Do you actually run Audacious 4.0 with GTK?

 

I compiled Audacious many times with --enable-gtk but the last times I did it just to give it a shot one more time, I enabled gtk once again and the

result was the same.

If you compile it with GTK support (in addition to Qt), you have to start Audacious with "audacious --gtk".

 

audacious --gtk just bring the GTK interface instead of the Winamp Classic interface,

Is the system tray icon then working again?

 

the system tray icon is still missing in both cases.

#9 - April 23, 2020 02:26 - John Lindgren
- File tint2.png added

I installed tint2 here and the system tray icon shows up fine. With either Qt or GTK.

 tint2.png 

#10 - April 23, 2020 04:39 - Nelson Suniaga

John Lindgren wrote:

I installed tint2 here and the system tray icon shows up fine. With either Qt or GTK.

 tint2.png 

 

maybe this got something to do?

INFO plugin-init.cc:187 [start_plugins]: Starting Status Icon.

INFO plugin-load.cc:64 [plugin_load]: Loading plugin: /usr/local/lib/audacious/General/statusicon-qt.so.

org.kde.knotifications: env says KDE is running but SNI unavailable -- check KDE_FULL_SESSION and XDG_CURRENT_

DESKTOP

 

The thing it makes doubt about it is the fact the systray icon was working with debian buster repository version of Audacious.

#11 - April 23, 2020 07:31 - John Lindgren

- Status changed from New to Closed

Yes, that explains it. Qt is trying to use an SNI status icon because it thinks KDE is running. Check the environment variables that it mentions.

Your "debian buster repository version" probably used GTK2, not Qt.

#12 - April 23, 2020 17:47 - Nelson Suniaga

John Lindgren wrote:

Yes, that explains it. Qt is trying to use an SNI status icon because it thinks KDE is running. Check the environment variables that it mentions.

Your "debian buster repository version" probably used GTK2, not Qt.

 

the version I'm running now was compiled with 
--enable-gtk

flag (audacious and audacious-plugins, downloaded from the GitHub repository).    

Running the binary as 

audacious --gtk --verbose

gives some interesting info about plugins:   

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: blur_scope-qt

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: gl-spectrum-qt

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: qt-spectrum

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: vumeter-qt

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: albumart-qt

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: qthotkey

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: lyricwiki-qt

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: playlist-manager-qt

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: search-tool-qt

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: song-info-qt

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: statusicon-qt

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: streamtuner

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: qtui

INFO plugin-registry.cc:437 [operator()]: Incompatible plugin flags: skins-qt

 

John Lindgren wrote:

Yes, that explains it. Qt is trying to use an SNI status icon because it thinks KDE is running. Check the environment variables that it mentions.

Your "debian buster repository version" probably used GTK2, not Qt.

 

Now I get it: in order to have the system tray icon visible, the compilation should enable GTK (which I did many times, without any improvement) but

also it needs to disable Qt (because I've never been able to solve the problem with KDE_FULL_SESSION and XDG_CURRENT_DESKTOP

variables):

./configure --enable-gtk --disable-qt

make

make install

 

The thing is: that works with audacious but it doesn't for the audacious-plugins compilation, it stops complaining about a missing 

streamtuner.so

file, cause I couldn't find any dev package for Streamtuner2 I had to disable it:   

./configure --enable-gtk --disable-qt --disable-streamtuner 

make

make install

 

And that's it! I have back the system tray icon (and the Winamp classic skins thumbnails too).
Files

tint2.png 23.4 KB April 23, 2020 John Lindgren
